%{?mingw_package_header}

%global pkgname libzip

Name:           mingw-%{pkgname}
Version:        1.1.2
Release:        %mkrel 2
Summary:        C library for reading, creating, and modifying zip archives

Group:          Development/Other
License:        BSD
BuildArch:      noarch
URL:            http://www.nih.at/libzip/index.html
Source0:        http://www.nih.at/libzip/%{pkgname}-%{version}.tar.xz

# Fix cmake soversion not in sync with automake one, and install pkgconfig file
Patch0:         libzip_cmake-fixes.patch
# fix undefined optopt
Patch1:         libzip-build.patch

BuildRequires:  cmake

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-zlib >= 1.1.2

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-zlib >= 1.1.2

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from 
other zip archives. Changes made without closing the archive can be reverted. 
The API is documented by man pages.


%package -n mingw32-%{pkgname}
Summary:        C library for reading, creating, and modifying zip archives

%description -n mingw32-%{pkgname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.


%package -n mingw64-%{pkgname}
Summary:        C library for reading, creating, and modifying zip archives

%description -n mingw64-%{pkgname}
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1
%patch1 -p1


%build
%mingw_cmake
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=%{buildroot}

# Fix rhbz#1008128
ln -s %{mingw32_libdir}/libzip/include/zipconf.h %{buildroot}%{mingw32_includedir}/zipconf.h
ln -s %{mingw64_libdir}/libzip/include/zipconf.h %{buildroot}%{mingw64_includedir}/zipconf.h

# Remove files we don't need
rm -r %{buildroot}%{mingw32_datadir}/*
rm -r %{buildroot}%{mingw64_datadir}/*

# Install and adjust pkg-config files
install -Dpm 0644 libzip.pc.in %{buildroot}%{mingw32_libdir}/pkgconfig/libzip.pc
sed -i -e 's|@prefix@|%{mingw32_prefix}|g' \
       -e 's|@exec_prefix@|%{mingw32_prefix}|g' \
       -e 's|@libdir@|%{mingw32_libdir}|g' \
       -e 's|@includedir@|%{mingw32_includedir}|g' \
       -e 's|@PACKAGE@|%{pkgname}|g' \
       -e 's|@VERSION@|%{version}|g' \
       -e 's|@PKG_CONFIG_RPATH@||g' \
       -e 's|@LIBS@||g' %{buildroot}%{mingw32_libdir}/pkgconfig/libzip.pc

install -Dpm 0644 libzip.pc.in %{buildroot}%{mingw64_libdir}/pkgconfig/libzip.pc
sed -i -e 's|@prefix@|%{mingw64_prefix}|g' \
       -e 's|@exec_prefix@|%{mingw64_prefix}|g' \
       -e 's|@libdir@|%{mingw64_libdir}|g' \
       -e 's|@includedir@|%{mingw64_includedir}|g' \
       -e 's|@PACKAGE@|%{pkgname}|g' \
       -e 's|@VERSION@|%{version}|g' \
       -e 's|@PKG_CONFIG_RPATH@||g' \
       -e 's|@LIBS@||g' %{buildroot}%{mingw64_libdir}/pkgconfig/libzip.pc


%files -n mingw32-%{pkgname}
%doc AUTHORS NEWS THANKS
%license LICENSE
%{mingw32_bindir}/zipcmp.exe
%{mingw32_bindir}/zipmerge.exe
%{mingw32_bindir}/ziptool.exe
%{mingw32_bindir}/libzip-4.dll
%{mingw32_libdir}/libzip.dll.a
%{mingw32_libdir}/pkgconfig/libzip.pc
%{mingw32_libdir}/libzip/
%{mingw32_includedir}/zip.h
%{mingw32_includedir}/zipconf.h

%files -n mingw64-%{pkgname}
%doc AUTHORS NEWS THANKS
%license LICENSE
%{mingw64_bindir}/zipcmp.exe
%{mingw64_bindir}/zipmerge.exe
%{mingw64_bindir}/ziptool.exe
%{mingw64_bindir}/libzip-4.dll
%{mingw64_libdir}/libzip.dll.a
%{mingw64_libdir}/pkgconfig/libzip.pc
%{mingw64_libdir}/libzip/
%{mingw64_includedir}/zip.h
%{mingw64_includedir}/zipconf.h




%changelog
* Wed May 11 2016 tv <tv> 1.1.2-2.mga6
+ Revision: 1012806
- new release

* Mon Feb 08 2016 umeabot <umeabot> 0.11.1-6.mga6
+ Revision: 947938
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.11.1-5.mga5
+ Revision: 745053
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11.1-4.mga5
+ Revision: 682497
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 0.11.1-3.mga4
+ Revision: 547565
- imported package mingw-libzip

